<?php
include_once("../../lib/_class.dba.inc.php");
include_once("../../config/_conf.dba.inc.php");
include_once("../../lib/_static.session.inc.php");
include_once("../../lib/_static.misc.inc.php");
validate_session();
?>
<html>
<head>
<title>List cms</title>
<link rel="stylesheet" type="text/css" media="screen" href="../../includes/_main.css" /> 
</head>
<body>
<div id="content">
<?php
if(IsSet($_SESSION['flash'])) {
	echo("<div id=\"flash\"><b>Notice:</b><br />\n");
	echo($_SESSION['flash']);
	unset($_SESSION['flash']);
	echo("</div>\n");
}
?>
<table border="1">
<?php
if(IsSet($_GET['site'])) {
	$where = " WHERE site='".$_GET['site']."'";
} else {
	$where = "";
}

$query = "SELECT count(*) FROM cms_pages".$where;
$num = $dba->query_first($query);
$list_limit = get_config_value('list_limit');
if(IsSet($_GET[offset])) {
	$offset = $_GET[offset];
} else {
	$offset = 0;
}
$query = "SELECT * FROM cms_pages".$where." ORDER BY site,parent ASC LIMIT $offset, $list_limit";
if($num[0] > 0) { 
	$num_result_pages = $num[0] / $list_limit;
} else {
	$num_result_pages = 1;
	$query = "SELECT * FROM cms_pages".$where;
}
$results = $dba->query($query);
?>
<tr>
<th>site</th><th>title</th><th>text</th><th>parent</th><th>is enabled</th><th>customer id</th><th>created at</th><th>updated at</th><th>CRUD</th></tr>
<?php 
while($row = $dba->fetch_array($results)) {
echo("<tr> ");echo("<td>".$row[site]."</td> ");
echo("<td>".$row[title]."</td> ");
echo("<td>".substr(htmlentities($row[text]),0,80)." ...</td> ");
echo("<td>".$row[parent]."</td> ");
echo("<td>".$row[is_enabled]."</td> ");
echo("<td>".$row[customer_id]."</td> ");
echo("<td>".date("d.m.y h:i:s", $row[created_at])."</td> ");
echo("<td>".date("d.m.y h:i:s", $row[updated_at])."</td> ");
echo("<td><a href=\"show.php?id=".$row[id]."\">Show</a>
<a href=\"edit.php?id=".$row[id]."\">Edit</a>
<a href=\"delete.php?id=".$row[id]."\">Delete</a></td>");
echo("</tr> "); } ?>
</table>
<br />
<!-- Navigation //-->
<?php
if($num > $list_limit_per_page) {
if($offset > 0) {
$newoffset = max(0,($offset-$list_limit));
echo("<a href=\"list.php?offset=".$newoffset."\">&laquo; Previous</a> | ");
} else {
echo("&laquo; Previous | ");
}
for($i = 0; $i < $num_result_pages; $i++) {
$newoffset = $i * $list_limit;
if($offset == $newoffset) {
echo("<b>".($i+1)."</b> | ");
} else {
echo("<a href=\"list.php?offset=".$newoffset."\">".($i+1)."</a> | ");
}
}
$newoffset = $offset + $list_limit;
if($newoffset < $num[0]) {
echo("<a href=\"list.php?offset=".$newoffset."\">Next &raquo;</a>");
} else {
echo("Next &raquo;");
}
}
?>
<br /><br />
<?php 
if(IsSet($_GET['site'])) {
?>
<a href="new.php?site=<?= $_GET['site']; ?>">Create new Entry</a>
<?php
} else {
?>
<a href="new.php">Create new Entry</a>
<?php
}
?>
</div>
</body>
</html>
