<?php
include_once("../lib/_class.dba.inc.php");
include_once("../config/_conf.dba.inc.php");
include_once("../lib/_static.session.inc.php");
include_once("../lib/_static.misc.inc.php");
validate_session();
?>
<html>
<head>
<title>debmin - Kunden: Kunden anzeigen</title>
<link rel="stylesheet" type="text/css" media="screen" href="../includes/_main.css" />
</head>
<body>
<?php
if(IsSet($_SESSION['flash'])) {
	echo("<div id=\"flash\"><b>Hinweis:</b><br />\n"); 
	echo($_SESSION['flash']);
	unset($_SESSION['flash']);
	echo("</div>\n");
}

$query = "SELECT * FROM customer WHERE id=$_GET[id] LIMIT 1";
$result = $dba->query($query);
$row = $dba->fetch_array($result);
?>
<div id="content">
<br />
<table border="0"> 
<tr>
<td>Login</td>
<td><?= $row[name] ?></td>
</tr>
<tr>
<td>Passwort</td>
<td><?= $row[password] ?></td>
</tr>
<tr>
<td>Kundennummer</td>
<td><?= $row[id] ?></td>
</tr>
<tr>
<td>Notizen:</td>
<td><?= $row[notes] ?></td>
</tr>
<tr>
<td>Datensatz zuletzt aktualisiert:</td>
<td><?= date("d.m.Y h:i:s", $row[updated_at]) ?></td>
</tr>
<tr>
<td>Kunde angelegt:</td>
<td><?= date("d.m.Y h:i:s", $row[created_at]) ?></td>
</tr>
</table>
<h3>Adressen</h3>
<?php
$query = "SELECT * FROM adresses WHERE customer_id = $_GET[id]";
$results = $dba->query($query);
?>
<table border="1" width="800">
<th>Anschrift</th><th>Typ</th><th>Erstelldatum</th><th>CRUD</th>
<?php
while($row = $dba->fetch_array($results)) {
	echo("<tr>\n");
	echo("<td>".$row[firstname]." ".$row[lastname]."<br />".$row[company]."<br />".$row[street]." ".$row[streetnumber]."<br />".$row[zipcode]." ".$row[city]."</td>");
	echo("<td>".$row[type]."</td>");
	echo("<td>".date("d.m.Y h:i:s", $row[created_at])."</td>");
	echo("<td><a href=\"../adresses/show.php?id=".$row[id]."\">Show</a> <a href=\"../adresses/edit.php?id=".$row[id]."\">Edit</a> <a href=\"../adresses/delete.php?id=".$row[id]."\">Delete</a> </td>");
	echo("</tr>\n");
}
?>
</table>
<a href="../adresses/new.php?id=<?= $_GET[id] ?>" target="_self">Neue Adresse anlegen</a>
<br />
<h3>Bestellte, regelm&auml;&szlig;ige Artikel</h3>
<?php
$query = "SELECT o.customer_id as cid,o.billing_period,o.created_at,i.id,i.name,i.price FROM ordered_items as o, items as i WHERE o.customer_id = $_GET[id] AND o.item_id = i.id";
$results = $dba->query($query);
?>
<table border="1" width="800">
<th>Artikelnummer</th><th>Preis</th><th>Erstelldatum</th><th>Abrechnungszeitraum</th><th>CRUD</th>
<?php
while($row = $dba->fetch_array($results)) {
	echo("<tr>\n");
	echo("<td>".$row[id]."</td>");
	echo("<td>".format_cur($row[price])."</td>");
	echo("<td>".date("d.m.Y h:i:s", $row[created_at])."</td>");
	echo("<td>".$row[billing_period]."</td>");
	echo("<td><a href=\"../ordered_items/show.php?customer_id=".$row[cid]."&item_id=".$row[id]."\">Show</a> <a href=\"../ordered_items/edit.php?customer_id=".$row[cid]."&item_id=".$row[id]."\">Edit</a> <a href=\"../ordered_items/delete.php?customer_id=".$row[cid]."&item_id=".$row[id]."\">Delete</a></td>\n");
	echo("</tr>\n");
}
?>
</table>
<a href="../ordered_items/new.php?id=<?= $_GET[id] ?>" target="_self">Neuen Artikel hinzuf&uuml;gen</a><br />
<br />
<h3>Rechnungen:</h3>
<?php
$query = "SELECT * FROM invoices WHERE customer_id = $_GET[id] ORDER BY created_at ASC";
$results = $dba->query($query);
?>
<table border="1" width="800">
<th>Rechnungsnummer</th><th>Betrag</th><th>Rechnungsdatum</th><th>Rechnungstext</th>
<?php
while($row = $dba->fetch_array($results)) {
	$query = "SELECT SUM((t.amount*t.price)+(((t.price*t.amount)/100)*t.vat)) as sum FROM invoices AS i, invoice_items AS t WHERE i.id = t.invoice_id AND i.id='$row[id]'";
	$row_i = $dba->query_first($query);
	echo("<tr>\n");
	echo("<td>".$row[id]."</td>");
	echo("<td>".format_cur($row_i[sum])."</td>");
	echo("<td>".date("d.m.Y h:i:s", $row[issued_at])."</td>");
	echo("<td>".$row[text]."</td>");
	echo("</tr>\n");
}
?>
</table>
<a href="invoices/new.php?customer_id=<?= $_GET[id] ?>" target="_self">Neue Rechnung erstellen</a><br />
<h3>Mahnungen:</h3>
<?php
$query = "SELECT u.id as id, u.text as text, u.urging_fee as fee, u.issued_at as issued_at FROM urgings as u, invoices as i WHERE i.customer_id = $_GET[id] AND u.invoice_id = i.id ORDER BY u.created_at ASC";
$results = $dba->query($query);
?>
<table border="1" width="800">
<th>Mahnungsnummer</th><th>Betrag</th><th>Rechnungsnummer</th><th>Mahnungstext</th>
<?php
while($row = $dba->fetch_array($results)) {
	$query = "SELECT SUM((t.amount*t.price)+(((t.price*t.amount)/100)*t.vat)) as sum FROM invoices AS i, invoice_items AS t WHERE i.id = t.invoice_id AND i.id='$row[id]'";
	$row_i = $dba->query_first($query);
	echo("<tr>\n");
	echo("<td>".$row[id]."</td>");
	echo("<td>".format_cur($row_i[sum]+$row[fee])."</td>");
	echo("<td>".date("d.m.Y h:i:s", $row[issued_at])."</td>");
	echo("<td>".$row[text]."</td>");
	echo("</tr>\n");
}
?>
</table>
<a href="urgings/new.php" target="_self">Neue Mahnung erstellen</a><br />
<br />
<?php
$query = "SELECT id, local_part,domain, forward, name, is_away, away_text, spam_check, pwclear FROM exim_emailtable WHERE customer_id = $_GET[id]";
$results = $dba->query($query);
?>
<h3>eMail-Accounts:</h3>
<table border="1" width="800">
<tr>
  <th>Adresse</th><th>Weiterleitung</th><th>Name</th><th>Abwesenheitsschaltung</th><th>Abwesenheitstext</th><th>Spam-Filter</th><th>Passwort</th>
</tr>
<?php
while($row = $dba->fetch_array($results)) {
	echo("<tr>\n");
	echo("<td><a href=\"../exim_emailtable/edit.php?id=".$row[id]."\" target=\"_self\">".$row[local_part]."@".$row[domain]."</a></td>\n");
	echo("<td>".$row[forward]."</td>\n");
	echo("<td>".$row[name]."</td>\n");
	echo("<td>".$row[is_away]."</td>\n");
	echo("<td>".$row[away_text]."</td>\n");
	echo("<td>".$row[spam_check]."</td>\n");
	echo("<td>".$row[password]."</td>\n");
	echo("</tr>\n");
}
?>
</table>
<br />
<a href="email/new.php?<?= "cid=".$_GET[id]."&cname=".$cname."&cp=".$cp ?>" target="_self">Neue Adresse anlegen</a>
<br />
<?php
$query = "SELECT id, username, password FROM proftpd_user WHERE customer_id = $_GET[id]";
$results = $dba->query($query);
?>
<h3>FTP-Accounts:</h3>
<table border="1" width="800">
<tr>
  <th>Login</th><th>Passwort</th>
</tr>
<?php
while($row = $dba->fetch_array($results)) {
	echo("<tr>\n");
	echo("<td><a href=\"../proftpd_user/edit.php?id=".$row[id]."\" target=\"_self\">".$row[username]."</a></td>\n");
	echo("<td>".$row[password]."</td>\n");
	echo("</tr>\n");
}
?>
</table>
<a href="proftpd_user/new.php" target="_self">Neuen FTP-Account erstellen</a><br />
<?php
$query = "SELECT id, domain FROM exim_domains WHERE customer_id = $_GET[id]";
$results = $dba->query($query);
?>
<h3>Domains:</h3>
<table border="1" width="800">
<tr>
  <th>Domain</th><th>Laufzeit</th>
</tr>
<?php
while($row = $dba->fetch_array($results)) {
	echo("<tr>\n");
	echo("<td><a href=\"../exim_domains/edit.php?id=".$row[id]."\" target=\"_self\">$row[domain]</a></td>\n");
	echo("<td>n/a</td>\n");
	echo("</tr>\n");
}
?>
</table>
<a href="exim_domains/new.php" target="_self">Neue Domain anlegen</a><br />
<br />
<br />
<a href="edit.php?id=<?php echo($row[id]); ?>">Edit</a> | <a href="delete.php?id=<?php echo($row[id]); ?>">Delete</a> | <a href="list.php">Back</a> | <a href="new.php">Create new Entry</a>
</div>
</body>
</html> 