<?php
include_once("../lib/_class.dba.inc.php");
include_once("../config/_conf.dba.inc.php");
include_once("../lib/_static.session.inc.php");
validate_session();
?>
<html>
<head>
<title>List debmin_queue</title>
<link rel="stylesheet" type="text/css" media="screen" href="../includes/_main.css" /> 
</head>
<body>
<div id="content">
<br />
<?php
if(IsSet($_SESSION['flash'])) {
	echo("<div id=\"flash\"><b>Notice:</b><br />\n"); 
	echo($_SESSION['flash']);
	unset($_SESSION['flash']);
	echo("</div>\n");
}
?>
<table border="1">
<?php
$query = "SELECT count(*) FROM debmin_queue";
$num = $dba->query_first($query);
$list_limit = get_config_value('list_limit');
if(IsSet($_GET[offset])) {
	$offset = $_GET[offset];
} else {
	$offset = 0;
}
if($num[0] > 0) { 
	$num_result_pages = $num[0] / $list_limit;
	$query = "SELECT * FROM debmin_queue ORDER BY created_at DESC LIMIT $offset, $list_limit";
	$results = $dba->query($query);
} else {
	$num_result_pages = 1;
	$query = "SELECT * FROM debmin_queue";
	$results = $dba->query($query);
}
?>
<tr>
<th>module</th><th>command</th><th>param0</th><th>param1</th><th>param2</th><th>param3</th><th>done</th><th>created at</th><th>updated at</th><th>CRUD</th></tr>
<?php 
while($row = $dba->fetch_array($results)) {
if($row[done] == 'yes') {
 $tdclass = "grey";
} else {
  $tdclass = "green";
}
echo("<tr> ");
echo("<td class=".$tdclass.">".$row[module]."</td> ");
echo("<td class=".$tdclass.">".$row[command]."</td> ");
echo("<td class=".$tdclass.">".$row[param0]."</td> ");
echo("<td class=".$tdclass.">".$row[param1]."</td> ");
echo("<td class=".$tdclass.">".$row[param2]."</td> ");
echo("<td class=".$tdclass.">".$row[param3]."</td> ");
echo("<td class=".$tdclass.">".$row[done]."</td> ");
echo("<td class=".$tdclass.">".date("d.m.y h:i:s", $row[created_at])."</td> ");
echo("<td class=".$tdclass.">".date("d.m.y h:i:s", $row[updated_at])."</td> ");
echo("<td class=".$tdclass."><a href=\"show.php?id=".$row[id]."\">Show</a>
<a href=\"edit.php?id=".$row[id]."\">Edit</a>
<a href=\"delete.php?id=".$row[id]."\">Delete</a></td>");
echo("</tr> "); } ?>
</table>
<br />
<!-- Navigation //-->
<?php
if($num > $list_limit_per_page) {
if($offset > 0) {
$newoffset = max(0,($offset-$list_limit));
echo("<a href=\"list.php?offset=".$newoffset."\">&laquo; Previous</a> | ");
} else {
echo("&laquo; Previous | ");
}
for($i = 0; $i < $num_result_pages; $i++) {
$newoffset = $i * $list_limit;
if($offset == $newoffset) {
echo("<b>".($i+1)."</b> | ");
} else {
echo("<a href=\"list.php?offset=".$newoffset."\">".($i+1)."</a> | ");
}
}
$newoffset = $offset + $list_limit;
if($newoffset < $num[0]) {
echo("<a href=\"list.php?offset=".$newoffset."\">Next &raquo;</a>");
} else {
echo("Next &raquo;");
}
}
?>
<br /><br />
<a href="new.php">Create new Entry</a> | <a href="clean.php">Remove old Entrys</a>
</div>
</body>
</html>
