<?php
include_once("../lib/_class.dba.inc.php");
include_once("../config/_conf.dba.inc.php");
include_once("../lib/_static.session.inc.php");
validate_session();
?>
<html>
<head>
<title>debmin - exim, Mailboxen: List exim_emailtable</title>
<link rel="stylesheet" type="text/css" media="screen" href="../includes/_main.css" /> 
</head>
<body>
<?php
if(IsSet($_SESSION['flash'])) {
	echo("<div id=\"flash\"><b>Notice:</b><br />\n"); 
	echo($_SESSION['flash']);
	unset($_SESSION['flash']);
	echo("</div>\n");
}
?>
<div id="content">
<br />
<table border="1">
<?php
if(IsSet($_GET[offset])) {
	$offset = $_GET[offset];
} else {
	$offset = 0;
}

$list_limit = get_config_value('list_limit');

// a _GET type overrides the session variable
if($_GET[type] == "mbox") {
	$where_clause =  " WHERE forward = ''";
	$_SESSION['exim_list_type'] = "mbox";
} elseif($_GET[type] == "fw") {
	$where_clause = " WHERE NOT (forward = '')";
	$_SESSION['exim_list_type'] = "fw";
} elseif($_SESSION['exim_list_type'] == "mbox") {
	$where_clause =  " WHERE forward = ''";
} elseif($_SESSION['exim_list_type'] == "fw") {
	$where_clause = " WHERE NOT (forward = '')";
} else {
	$where_clause = "";
}

switch($_GET[order]) {
	case local_part:
		$order_clause = " ORDER BY local_part, domain";
		$order_link_arg = "local_part";
		break;
	case domain:
		$order_clause = " ORDER BY domain, local_part";
		$order_link_arg = "domain";
		break;
	case forward:
		$order_clause = " ORDER BY forward, domain, local_part";
		$order_link_arg = "forward";
		break;
	case name:
		$order_clause = " ORDER BY name, domain, local_part";
		$order_link_arg = "name";
		break;
	case is_away:
		$order_clause = " ORDER BY is_away, domain, local_part";
		$order_link_arg = "is_away";
		break;
	case spam_check:
		$order_clause = " ORDER BY spam_check, domain, local_part";
		$order_link_arg = "spam_check";
		break;
	case is_enabled:
		$order_clause = " ORDER BY is_enabled, domain, local_part";
		$order_link_arg = "is_enabled";
		break;
	case customer_id:
		$order_clause = " ORDER BY customer_id, domain, local_part";
		$order_link_arg = "customer_id";
		break;
	case created_at:
		$order_clause = " ORDER BY created_at, domain, local_part";
		$order_link_arg = "created_at";
		break;
	case updated_at:
		$order_clause = " ORDER BY updated_at, domain, local_part";
		$order_link_arg = "updated_at";
		break;
	default:
		$order_clause = " ORDER BY domain, local_part";
}

$query = "SELECT * FROM exim_emailtable".$where_clause.$order_clause." LIMIT ".$offset.",".$list_limit;
$query_c = "SELECT count(*) FROM exim_emailtable".$where_clause;

$num = $dba->query_first($query_c);
if($num[0] > 0) { 
	$num_result_pages = $num[0] / $list_limit;
} else {
	$num_result_pages = 1;
	$query = "SELECT * FROM exim_emailtable";
}
$results = $dba->query($query);
?>
<tr>
<th><a href="list.php?order=local_part" target="_self">Local Part</a></th>
<th><a href="list.php?order=domain" target="_self">Domain</a></th>
<?php
if($_SESSION['exim_list_type'] == "fw") {
?>
<th><a href="list.php?order=forward" target="_self">Ziel</a></th>
<?php
}
if($_SESSION['exim_list_type'] == "mbox") {
?>
<th><a href="list.php?order=name" target="_self">Name</a></th>
<?php
}
?>
<th>pwclear</th>
<th><a href="list.php?order=is_away" target="_self">Away?</a></th>
<th><a href="list.php?order=spam_check" target="_self">Spam-Check</a></th>
<th><a href="list.php?order=is_enabled" target="_self">Aktiviert?</a></th>
<th><a href="list.php?order=customer_id" target="_self">Kunde</a></th>
<th><a href="list.php?order=created_at" target="_self">Erstelldatum</a></th>
<th><a href="list.php?order=updated_at" target="_self">Akt.datum</a></th>
<th>CRUD</th>
</tr>
<?php
while($row = $dba->fetch_array($results)) {
	echo("<tr> ");echo("<td>".$row[local_part]."</td> ");
	echo("<td>".$row[domain]."</td> ");
	if($_SESSION['exim_list_type'] == "fw") {
		echo("<td>".$row[forward]."</td> ");
	}
	if($_SESSION['exim_list_type'] == "mbox") {
		echo("<td>".$row[name]."</td> ");
	}
	echo("<td class=\"hidden\">".$row[pwclear]."</td> ");
	echo("<td>".$row[is_away]."</td> ");
	echo("<td>".$row[spam_check]."</td> ");
	echo("<td>".$row[is_enabled]."</td> ");
	echo("<td>".$row[customer_id]."</td> ");
	echo("<td>".date("d.m.y", $row[created_at])."</td> ");
	echo("<td>".date("d.m.y", $row[updated_at])."</td> ");
	echo("<td><a href=\"show.php?id=".$row[id]."\">Show</a>
<a href=\"edit.php?id=".$row[id]."\">Edit</a>
<a href=\"delete.php?id=".$row[id]."\">Delete</a></td>");
	echo("</tr> ");
}
?>
</table>
<br />
<!-- Navigation //-->
<?php
if($num > $list_limit_per_page) {
	if($offset > 0) {
		$newoffset = max(0,($offset-$list_limit));
		echo("<a href=\"list.php?offset=".$newoffset."&order=".$order_link_arg."\">&laquo; Previous</a> | ");
	} else {
		echo("&laquo; Previous | ");
	}
	for($i = 0; $i < $num_result_pages; $i++) {
		$newoffset = $i * $list_limit;
		if($offset == $newoffset) {
			echo("<b>".($i+1)."</b> | ");
		} else {
			echo("<a href=\"list.php?offset=".$newoffset."&order=".$order_link_arg."\">".($i+1)."</a> | ");
		}
	}
	$newoffset = $offset + $list_limit;
	if($newoffset < $num[0]) {
		echo("<a href=\"list.php?offset=".$newoffset."&order=".$order_link_arg."\">Next &raquo;</a>");
	} else {
	echo("Next &raquo;");
	}
}
?>
<br /><br />
<a href="new.php?type=<?= $_GET[type] ?>">Create new Entry</a>
<br />
&nbsp;
</div>
</body>
</html>
