<?php
function get_customer_selector($inputname, $selected = "0") {
	global $dba;
	$retval = "";
	$results = "";
	$query = "SELECT c.id,c.name,a.firstname,a.lastname FROM customer as c, adresses as a WHERE c.id = a.customer_id GROUP BY c.id ORDER BY a.lastname";
	$results = $dba->query($query);
	$retval = "<select name=\"".$inputname."\" size=\"1\">\n";
	while($row = $dba->fetch_array($results)) {
		$retval .= "<option ";
		if ($row[id] == $selected) {
			$retval .= "selected ";
		}
		$retval .= "value=\"".$row[id]."\">".$row[lastname].", ".$row[firstname]." (".$row[name]." ".$row[id].")</option>\n";
	}
	$retval .= "</select>\n";
	return $retval;
}

function get_domain_selector($inputname, $selected = "", $customer_id = "") {
	// return a list of the hosted domains, as far as exim is concerned as a html select box
	global $dba;
	$retval = "";
	$results = "";
	if(strlen($customer_id) > 0) {
		$query = "SELECT domain FROM exim_domains WHERE customer_id=$customer_id ORDER BY domain";
	} else {
		$query = "SELECT domain FROM exim_domains ORDER BY domain";
	}
	$retval = "<select name=\"".$inputname."\" size=\"1\">\n";
	$results = $dba->query($query);
	while($row = $dba->fetch_array($results)) {
		if ($row[domain] == $selected) {
			$retval .= "<option selected value=\"".$row[domain]."\">".$row[domain]."</option>\n";
		} else {
			$retval .= "<option value=\"".$row[domain]."\">".$row[domain]."</option>\n";
		}
	}
	$retval .= "</select>\n";
	return $retval;
}

function get_item_selector($inputname, $selected = "") {
	// return a list of all availiable items
	global $dba;
	$retval = "";
	$results = "";
	$query = "SELECT id,name,price FROM items ORDER BY name";
	$results = $dba->query($query);
	$retval = "<select name=\"".$inputname."\" size=\"1\">\n";
	while($row = $dba->fetch_array($results)) {
		if($row[id] == $selected) {
			$retval .= "<option selected value=\"".$row[id]."\">".$row[name]." (".$row[price].")</option>\n";
		} else {
			$retval .= "<option value=\"".$row[id]."\">".$row[name]." (".$row[price].")</option>\n";
		}
	}
	$retval .= "</select>\n";
	return $retval;
}

function generatePassword ($length = 8)
{
  // start with a blank password
  $password = "";
  // define possible characters
  $possible = "0123456789bcdfghjkmnpqrstvwxyz"; 
  // set up a counter
  $i = 0; 
  // add random characters to $password until $length is reached
  while ($i < $length) { 
    // pick a random character from the possible ones
    $char = substr($possible, mt_rand(0, strlen($possible)-1), 1);
    // we don't want this character if it's already in the password
    if (!strstr($password, $char)) { 
      $password .= $char;
      $i++;
    }
  }
  // done!
  return $password;
}

function vcrypt($clear) {
	// generate a password for exim and courier
	//$salt = join '', ('.','/', 0..9,'A'..'Z', 'a'..'z')[rand 64, rand 64];
	//$vcrypt = crypt($clear, $salt)."\n";
	//We need a Standard DES-Hash so we need to set a 2-Char salt
	$salt = "he";
	$vcrypt = crypt($clear,$salt);
	return $vcrypt;
}

function format($string, $len, $fill = " ") {
	// erzeugt einen string mit der gew�nschten l�nge
	// f�llt die fehlenden zeichen auf mit $fill
	if(strlen($string) > $len) {
		return substr($string,0,$len);
	} else if(strlen($string) < $len) {
		$mis = $len - strlen($string);
		for($i=0;$i<$mis;$i++) {
			$string = $fill.$string;
		}
		return $string;
	} else {
		return $string;
	}
}

// some static functions
function format_cur($string) {
	// corretcly formating of currencys
	return sprintf("%01.2f", $string);
}

function format_text($string, $len, $fill = false, $textalign = "right") {
	// @return a string that is no longer than $len
	// if $fill is not false, the the string will be exactly of length $len and filled with $fill
	// $textalign decides if the string is filled by left or by right
	if(strlen($string) > $len) { // zu lang -> abschneiden
		return substr($string,0,($len-4))." ..."; // the dots indicate that the string was truncated
	} else if(strlen($string) < $len && $fill != false) { // zu kurz und er soll aufgef�llt werden
		$numfill = $len - strlen($string) + 1; // wieviel fehlt
		for($i=0;$i<$numfill;$i++) {
			if($textalign == "left") {
				$string = $fill.$string;
			} else {
				$string = $string.$fill;
			}
		}
		return $string;
	} else { // strlen($string) == $len
		return $string;
	}
}

/**
 * Formats a Mail-Adress to an HTML-Link
 * @return a HTML-Link
 * @param a Mail-Adress
 */
function format_mail($string) {
	// return a mailto link
	return "<a href=\"mailto:".$string."\">".$string."</a>\n";
}

/**
 * Formats a boolean to a human readable String
 * @return a human readable String for true or false
 * @param a Boolean
 */
function format_bool($boolean) {
	if($boolean == "yes") {
		return "Ja";
	} else {
		return "Nein";
	}
}

/**
 * Tries to get an non empty mail address for a customer id
 * @return the customers mail address if availialbe, or an empty string
 * @param a valid customer id
 */
function get_customer_mail($customer_id) {
  global $dba;
  $query = "SELECT c.id,a.email1 FROM customer AS c,adresses AS a WHERE c.id='".$customer_id."' AND a.customer_id=c.id";
  $results = $dba->query($query);
  while($row = $dba->fetch_array($results)) {
    if(strlen($row[1]) > 2) {
      return $row[1];
    }
  }
  return "";
}
?>