<?php
include_once("../lib/_class.dba.inc.php");
include_once("../config/_conf.dba.inc.php");
include_once("../lib/_static.session.inc.php");
include_once("../lib/_static.misc.inc.php");
include_once("../lib/_class.ispproxy.inc.php");
validate_session();

if(!IsSet($_SESSION[tldomain])) {
	$_SESSION['flash'] = "Input data not correct. Please re-check your input!";
	header("Location: ".get_config_value('url_protocol')."://".$_SERVER['HTTP_HOST'].rtrim(dirname($_SERVER['PHP_SELF']), '/\\')."/../welcome.php");
	exit();
} else {
$ispp = new ispproxy();
$price = $ispp->get_domain_price($_SESSION[tldomain]);
?>
<head>
       <title>debmin - Wizard: New Top-Level Domain (Step 3/5)</title>
       <link type="text/css" href="../includes/_main.css" rel="stylesheet"/>
</head>
<body>
<?php
if(IsSet($_SESSION['flash'])) {
	echo("<div id=\"flash\"><b>Notice:</b><br />\n"); 
	echo($_SESSION['flash']);
	unset($_SESSION['flash']);
	echo("</div>\n");
}
?>
<div id="content">
  <table border="1">
   <tr>
    <td><h2>Order a Top-Level-Domain:</b> (Step <b>3</b>/5)</h2></td>
   </tr>
  <tr>
  <td>
  Prices:<br />
  The Domain <?= $_SESSION[tldomain] ?> costs <?= $price[setup]." ".$price[currency] ?> for Setup
  and <?= $price[annual]." ".$price[currency] ?> per Year.
  </td>
  </tr>
  <tr>
  <td>
    <form action="newtldomain_step4.php" method="post">
  	<input type="radio" name="decision" value="buy"> I want to <b>buy</b> this domain for <?= $price[setup]." ".$price[currency] ?>/Setup
  and <?= $price[annual]." ".$price[currency] ?> per Year.<br />
  	<input type="radio" name="decision" value="nobuy"> I don't want to buy this Domain, but create the local Account anyway, I'll take care of the rest.<br />
  	<input type="submit" name="submit" value="Proceed"> <input type="reset" name="reset" value="Reset">
  	</form>
  	</td>
  	</tr>
  </table>
</div>
</body>
</html>
<?php
}
?>