<?php
include_once("../lib/_class.dba.inc.php");
include_once("../config/_conf.dba.inc.php");
include_once("../lib/_static.session.inc.php");
include_once("../lib/_static.misc.inc.php");
include_once("../lib/_class.ispproxy.inc.php");
validate_session();

if(!IsSet($_SESSION[tldomain]) || !IsSet($_POST[decision])) {
	$_SESSION['flash'] = "Input data not correct. Please re-check your input! (Session-Data)";
	header("Location: ".get_config_value('url_protocol')."://".$_SERVER['HTTP_HOST'].rtrim(dirname($_SERVER['PHP_SELF']), '/\\')."/../welcome.php");
	exit();
} else {
?>
<head>
       <title>debmin - Wizard: New Top-Level Domain (Step 4/5)</title>
       <link type="text/css" href="../includes/_main.css" rel="stylesheet"/>
</head>
<body>
<?php
if(IsSet($_SESSION['flash'])) {
	echo("<div id=\"flash\"><b>Notice:</b><br />\n"); 
	echo($_SESSION['flash']);
	unset($_SESSION['flash']);
	echo("</div>\n");
}
?>
<div id="content">
  <table border="1">
     <tr>
    <td><h2>Order a Top-Level-Domain:</b> (Step <b>4</b>/5)</h2></td>
   </tr>
   <tr>
   <td>
  <form action="newtldomain_step5.php" method="POST">
<?php
$tldomain = $_SESSION[tldomain];
unset($_SESSION[tldomain]);

if($_POST[decision] == "kk") {
	$ispp = new ispproxy();
	$price = $ispp->get_domain_price($tldomain);
	echo("<input type=\"hidden\" name=\"tldaction\" value=\"kk\">");
	echo("<input type=\"hidden\" name=\"tldomain\" value=\"".$tldomain."\">");
	echo("<input type=\"hidden\" name=\"authcode\" value=\"".$_POST[authcode]."\">");
	echo("You chose to start a Domain Transfer for the Domain ".$tldomain.".<br />\n");
	echo("This Domain costs <b>".$price[annual]." ".$price[currency]."</b> every Year.<br />\n");
	echo("Additionally there is a setup fee of <b>".$price[setup]." ".$price[currency]."</b>.<br>\n");
	echo("If you don't want to buy this Domain you have to cancel now!<br>\n");
} else if($_POST[decision] == "buy") {
	$ispp = new ispproxy();
	$price = $ispp->get_domain_price($tldomain);
	echo("<input type=\"hidden\" name=\"tldaction\" value=\"buy\">");
	echo("<input type=\"hidden\" name=\"tldomain\" value=\"".$tldomain."\">");
	echo("You chose to buy the Domain ".$tldomain.".<br />\n");
	echo("This Domain costs <b>".$price[annual]." ".$price[currency]."</b> every Year.<br />\n");
	echo("Additionally there is a setup fee of <b>".$price[setup]." ".$price[currency]."</b>.<br>\n");
	echo("If you don't want to buy this Domain you have to cancel now!<br>\n");	
} else if($_POST[decision] == "nobuy" || $_POST[decision] == "nokk") {
	echo("<input type=\"hidden\" name=\"tldaction\" value=\"localonly\">");
	echo("<input type=\"hidden\" name=\"tldomain\" value=\"".$tldomain."\">");
}

$docRoot = get_config_value('base_dir_www').$tldomain;
$local_part1 = "mail";
$local_part2 = "info";
$local_part3 = "webmaster";
?>
Please check your input and acknowledge this page by clicking "Create".<br />
The login information will be send to your mailbox.<br />
<h3>Domain:</h3>
URL: http://<b><?= $tldomain ?></b>
<h3>Root-Directory (Document-Root):</h3>
<b><?= $docRoot ?></b>
<h3>FTP-Account:</h3>
Login: <b><?= $tldomain ?></b>
<h3>Mail-Accounts:</h3>
POP3-Account: <b><input type="hidden" name="local_part1" value="mail">mail@<?= $tldomain ?></b><br />
Forwarding: <b><input type="hidden" name="local_part2" value="info">info@<?= $tldomain ?></b> nach <b>mail@<?= $tldomain ?></b><br />
Forwarding: <b><input type="hidden" name="local_part3" value="webmaster">webmaster@<?= $tldomain ?></b> nach <b>mail@<?= $tldomain ?></b><br />
(optional) additional POP3-Account: <input type="text" name="local_part4" value="">@<?= $tldomain ?><br />
(optional) additional POP3-Account: <input type="text" name="local_part5" value="">@<?= $tldomain ?><br />
<br />
<br />
<input type="submit" value="Submit/Buy/Create"><input type="reset" value="Cancel/Reset">
  </form>
  </td>
  </tr>
  </table>
</div>
</body>
</html>
<?php
}
?>