<?php
include_once("../lib/_class.dba.inc.php");
include_once("../config/_conf.dba.inc.php");
include_once("../lib/_static.session.inc.php");
include_once("../lib/_static.misc.inc.php");
include_once("../lib/_class.multipart_mail.inc.php");
include_once("../lib/_class.ispproxy.inc.php");
validate_session();

function error_exit() {
	$_SESSION['flash'] = "Input data not correct. Please re-check your input!";
	header("Location: ".get_config_value('url_protocol')."://".$_SERVER['HTTP_HOST'].rtrim(dirname($_SERVER['PHP_SELF']), '/\\')."/../welcome.php");
	exit();
}

if(!IsSet($_POST[tldomain]) || !IsSet($_POST[tldaction])) {
	error_exit();
} else {
// Step 0: init data, e.g. create passwords
$tldomain = $_POST[tldomain];
$tldaction = $_POST[tldaction];
$customer_id = $_SESSION['ID'];
$pwFtpClear = generatePassword();
$mailFrom = get_config_value('admin_mail');
$docRoot = get_config_value('base_dir_www').$tldomain;

$apache_version = get_config_value('apache_version');
$ipaddress = get_config_value('dns_ipaddress');
$mailserver = get_config_value('dns_mailserver');

// 0 -> local_part, 1 -> pwclear. 2 -> pwcrypt
$i = 0;
$pwclear = generatePassword();
$password = vcrypt($pwclear);
$mailaccounts[$i][0] = $_POST['local_part1'];
$mailaccounts[$i][1] = $pwclear;
$mailaccounts[$i++][2] = $password;

$forward_to = $mailaccounts[0][0]."@".$tldomain;

$pwclear = generatePassword();
$password = vcrypt($pwclear);
$mailaccounts[$i][0] = $_POST['local_part2'];
$mailaccounts[$i][1] = $pwclear;
$mailaccounts[$i++][2] = $password;
$pwclear = generatePassword();
$password = vcrypt($pwclear);
$mailaccounts[$i][0] = $_POST['local_part3'];
$mailaccounts[$i][1] = $pwclear;
$mailaccounts[$i++][2] = $password;
if(strlen($_POST['local_part4']) > 0) {
  $pwclear = generatePassword();
  $password = vcrypt($pwclear);
  $mailaccounts[$i][0] = $_POST['local_part4'];
  $mailaccounts[$i][1] = $pwclear;
  $mailaccounts[$i++][2] = $password;
}
if(strlen($_POST['local_part5']) > 0) {
  $pwclear = generatePassword();
  $password = vcrypt($pwclear);
  $mailaccounts[$i][0] = $_POST['local_part5'];
  $mailaccounts[$i][1] = $pwclear;
  $mailaccounts[$i++][2] = $password;
}

// fetch the address for the handles
$query = "SELECT * FROM adresses WHERE customer_id='".$_SESSION['ID']."' AND type='contact' LIMIT 1";
$row = $dba->query_first($query);
if(sizeof($row) < 8) {
	error_exit();
}
$contact_data[firstname] = $row[firstname];
$contact_data[lastname] = $row[lastname];
$contact_data[street] = $row[street]." ".$row[streetnumber];
$contact_data[city] = $row[city];
$contact_data[zip] = $row[zipcode];
$contact_data[country] = "DE";
$contact_data[phone] = $row[phone1];
$contact_data[email] = $row[email1];

$rrs[] = "@ IN NS ns1.ispdnsserver.com";
$rrs[] = "@ IN MX 10 ".$mailserver;
$rrs[] = "@ IN A ".$ipaddress;
$rrs[] = "www IN A ".$ipaddress;

// Step 1: Handle tldaction (e.g. Register Domain or Start Transfer)
if($tldaction == "kk") {
	$ispp = new ispproxy();
	// Step 1a: Create Address-Handles
	// Step 1a1: Owner-C & Admin-C Handle
	$adminc = $ispp->create_handle($contact_data);
	$ownerc = $adminc;
	// Step 1a2: Tech-C & Billing-C Handle
	$techc = $adminc;
	$billingc = $adminc;
	// Step 1b: Create DNS-Zone
	$ispp->dns_create_zone($tldomain.".", $rrs);
	// Step 1c: Start domain Transfer
	if($ispp->request_transfer_domain($tldomain, $_POST[authcode])) {
		$tld_kk_success = true;
	} else {
		$tld_kk_success = false;
	}
} else if($tldaction == "buy") {
	$ispp = new ispproxy();
	// Step 1a: Create Address-Handles
	// Step 1a1: Owner-C & Admin-C Handle
	$adminc = $ispp->create_handle($contact_data);
	$ownerc = $adminc;
	// Step 1a2: Tech-C & Billing-C Handle
	$techc = $adminc;
	$billingc = $adminc;
	// Step 1b: Create DNS-Zone
	$ispp->dns_create_zone($tldomain.".", $rrs);
	// Step 1c: Register domain
	if($ispp->register_domain($tldomain, $ownerc, $adminc, $techc, $billingc)) {
		$tld_reg_success = true;
	} else {
		$tld_reg_success = false;
	}
}

// Step 2: add exim_domain for mail accounts
$query = "INSERT INTO exim_domains (domain,is_enabled,customer_id,created_at,updated_at) VALUES ('".$tldomain."','yes','".$customer_id."','".time()."','".time()."')";
$dba->query($query);

// Step 3: add mail addresses
// STep 3a: mailboxes
$query = "INSERT INTO exim_emailtable (local_part,domain,forward,cc,name,pwclear,pwcrypt,is_away,away_text,spam_check,spam_purge,virus_check,is_enabled,customer_id,created_at,updated_at) VALUES ('".$mailaccounts[0][0]."','".$tldomain."','','','','".$mailaccounts[0][1]."','".$mailaccounts[0][2]."','no','','yes','no','no','yes','$customer_id','".time()."','".time()."')";
$dba->query($query);

for($i = 3; $i < sizeof($mailaccounts); $i++) {
  $query = "INSERT INTO exim_emailtable (local_part,domain,forward,cc,name,pwclear,pwcrypt,is_away,away_text,spam_check,spam_purge,virus_check,is_enabled,customer_id,created_at,updated_at) VALUES ('".$mailaccounts[$i][0]."','".$tldomain."','','','','".$mailaccounts[$i][1]."','".$mailaccounts[$i][2]."','no','','yes','no','no','yes','$customer_id','".time()."','".time()."')";
  $dba->query($query);
}

// Step 3b: Forwarders
for($i = 1; $i < 3; $i++) {
  $query = "INSERT INTO exim_emailtable (local_part,domain,forward,cc,name,pwclear,pwcrypt,is_away,away_text,spam_check,spam_purge,virus_check,is_enabled,customer_id,created_at,updated_at) VALUES ('".$mailaccounts[$i][0]."','".$tldomain."','".$forward_to."','','','".$mailaccounts[$i][1]."','".$mailaccounts[$i][2]."','no','','yes','no','no','yes','$customer_id','".time()."','".time()."')";
  $dba->query($query);
}

// Step 4: create FTP-Account
$uid = 65534;
$gid = 33;
$count = 0;
$shell = "/bin/false";
$last_access = 0;

$query = "INSERT INTO proftpd_user (username,password,uid,gid,homedir,count,shell,last_access,is_enabled,customer_id,created_at,updated_at) VALUES ('".$tldomain."','".$pwFtpClear."','".$uid."','".$gid."','".$docRoot."','".$count."','".$shell."','".$last_access."','yes','".$customer_id."','".time()."','".time()."')";
$dba->query($query);

// Step 5: create vhost
$query = "INSERT INTO debmin_queue (module,command,param0,param1,param2,param3,done,created_at,updated_at) VALUES ('apache".$apache_version."','create','".$tldomain."','".$docRoot."','webmaster@".$tldomain."','','no','".time()."','".time()."')";
$dba->query($query);

// Step 6: init mail-accounts/enqueue task
for($i = 0; $i < sizeof($mailaccounts); $i++) {
  $address = $mailaccounts[$i][0]."@".$tldomain;
  $query = "INSERT INTO debmin_queue (module,command,param0,param1,param2,param3,done,created_at,updated_at) VALUES ('mail','init','".$address."','','','','no','".time()."','".time()."')";
  $dba->query($query);
}

// Step 7: Send mail with login information
$body = "Sehr geehrter Anwender,\n";
$body .= "\nanbei finden Sie die Zugangsdaten zu dem eben von Ihnen erstellen Account.\n\n";
$body .= "Bitte beachten Sie, dass es bis zu 15 dauern kann, bis alle Einstellungen wirksam werden.\n\n";
if(IsSet($tld_reg_success)) {
	if($tld_reg_success) {
		$body .= "Ihre Domain wurde erfolgreich registriert.\n";
	} else {
		$body .= "Ihre Domain konnte leider nicht erfolgreich registriert werden.\n";
	}
} else if(IsSet($tld_kk_success)) {
	if($tld_kk_success) {
		$body .= "Ihr KK-Antrag wurde eingeleitet.\n";
	} else {
		$body .= "Bei einleiten Ihres KK-Antrages sind leider Probleme aufgetreten.\n";
	}
}
$body .= "Ihre Domain: http://".$tldomain."/\n";
$body .= "-------------------\n";
$body .= "FTP-Zugang:\n";
$body .= "Server: ftp.".$tldomain."\n";
$body .= "Login: ".$tldomain."\n";
$body .= "Passwort: ".$pwFtpClear."\n";
$body .= "-------------------\n";
$body .= "eMail-Konten:\n";
$body .= "Server: mail.".$tldomain."\n";
$body .= "Unterstützte Protokolle: SMTP, POP3, POP3-S, IMAP-S\n\n";
$body .= "Login: ".$mailaccounts[0][0]."@".$tldomain."\n";
$body .= "Passwort: ".$mailaccounts[0][1]."\n\n";
for($i = 3; $i < sizeof($mailaccounts); $i++) {
  $body .= "Login: ".$mailaccounts[$i][0]."@".$tldomain."\n";
  $body .= "Passwort: ".$mailaccounts[$i][1]."\n\n";
}
$body .= "Folgende Weiterleitungen wurden automatisch für Sie eingerichtet:\n";
$body .= "info@".$tldomain." wird weitergeleitet nach ".$mailaccounts[0][0]."@".$tldomain."\n";
$body .= "mail@".$tldomain." wird weitergeleitet nach ".$mailaccounts[0][0]."@".$tldomain."\n";
$body .= "-------------------\n\n";
$body .= "Mit freundlichen Grüssen\ndebmin\n";
$dest = get_customer_mail($customer_id);
$subject = "[debmin] Zugangsdaten";

$mail = new multipartmail($dest,$src,$subject);
$mail->addmessage($body);
$mail->addbcc($mailFrom); // send all mails also to the sender, just for the records
$mail->sendmail();


// Step 8: Redirect to welcome-page
$_SESSION['flash'] = "Successfully created new top-level domain ".$tldomain." and sent login information.";

header("Location: ".get_config_value('url_protocol')."://".$_SERVER['HTTP_HOST'].rtrim(dirname($_SERVER['PHP_SELF']), '/\\')."/../welcome.php");

exit();
}
?>