<?php
include_once("../lib/_class.dba.inc.php");
include_once("../config/_conf.dba.inc.php");
include_once("../lib/_static.session.inc.php");
validate_session();

// local functions
function getServerName($str) {
	$regexp = "@([A-za-z0-9-]+[.])+[a-zA-Z]+@i"; // extract the domain name
	preg_match($regexp, $str, $treffer);
	return $treffer[0];
}

function getDocumentRoot($str) {
	$regexp = "@DocumentRoot.*@i"; // extracte the document root
	preg_match($regexp, $str, $treffer);
	return substr($treffer[0], 13, strlen($treffer[0]));
}

?>
<html>
<head>
<title>debmin - Apache vHosts: List apache_vhost</title>
<link rel="stylesheet" type="text/css" media="screen" href="../includes/_main.css" /> 
</head>
<body>
<?php
if(IsSet($_SESSION['flash'])) {
	echo("<div id=\"flash\"><b>Hinweis:</b><br />\n");
	echo($_SESSION['flash']);
	unset($_SESSION['flash']);
	echo("</div>\n");
}
?>
<div id="content">
<br />
<table border="1">
<?php
$query = "SELECT count(*) FROM apache_vhost";
$num = $dba->query_first($query);
$list_limit = get_config_value('list_limit');
if(IsSet($_GET[offset])) {
	$offset = $_GET[offset];
} else {
	$offset = 0;
}
$query = "SELECT * FROM apache_vhost ORDER BY created_at DESC LIMIT $offset, $list_limit";
if($num[0] > 0) { 
	$num_result_pages = $num[0] / $list_limit;
} else {
	$num_result_pages = 1;
	$query = "SELECT * FROM apache_vhost";
}
$results = $dba->query($query);
?>
<tr>
<th>ServerName</th><th>DocumentRoot</th><th>Aktiv?</th><th>Erstellt</th><th>Ge&auml;ndert</th><th>CRUD</th></tr>
<?php 
while($row = $dba->fetch_array($results)) {
	$servername = getServerName($row[text]);
	echo("<tr> ");
	//echo("<td>".substr(nl2br(htmlentities($row[text])),0,160)." ...</td> ");
	echo("<td>".$servername."</td>\n");
	echo("<td>".getDocumentRoot($row[text])."</td>\n");
	if($row[is_enabled] == 'yes') {
		echo("<td class=\"green\">Ja | <a href='disable.php?id=".$row[id]."'>Deaktivieren</a></td>\n");
	} else {
		echo("<td class=\"red\">Nein | <a href='enable.php?id=".$row[id]."'>Aktivieren</a></td>\n");
	}
	echo("<td>".date("d.m.y h:i:s", $row[created_at])."</td> ");
	echo("<td>".date("d.m.y h:i:s", $row[updated_at])."</td> ");
	echo("<td><a href=\"show.php?id=".$row[id]."\">Show</a>
<a href=\"edit.php?id=".$row[id]."\">Edit</a>
<a href=\"delete.php?id=".$row[id]."\">Delete</a></td>");
	echo("</tr> ");
}
?>
</table>
<br />
<!-- Navigation //-->
<?php
if($num > $list_limit_per_page) {
	if($offset > 0) {
		$newoffset = max(0,($offset-$list_limit));
		echo("<a href=\"list.php?offset=".$newoffset."\">&laquo; Previous</a> | ");
	} else {
		echo("&laquo; Previous | ");
	}
	for($i = 0; $i < $num_result_pages; $i++) {
		$newoffset = $i * $list_limit;
		if($offset == $newoffset) {
			echo("<b>".($i+1)."</b> | ");
		} else {
			echo("<a href=\"list.php?offset=".$newoffset."\">".($i+1)."</a> | ");
		}
	}
	$newoffset = $offset + $list_limit;
	if($newoffset < $num[0]) {
		echo("<a href=\"list.php?offset=".$newoffset."\">Next &raquo;</a>");
	} else {
		echo("Next &raquo;");
	}
}
?>
<br /><br />
<a href="../wizards/newdomain_step1.php">Create new Entry</a>
<br />
&nbsp;
</div>
</body>
</html>
