<?php
// this is the debmin module registry

$modules = new modules;

// ### Admin
// add debmin-base
$nav_item = new navigation_items;
$nav_item->init("debmin", "empty.php");
$nav_item->add("Configuration", "config/list.php");
$nav_item->add("Cronjob Queue", "debmin_queue/list.php");
$modules->add("debmin", "Base modul", "admin", $nav_item);

// add apache_vhost
$nav_item = new navigation_items;
$nav_item->init("Apache", "apache_vhost/list.php");
$nav_item->add("list vHosts", "apache_vhost/list.php");
$nav_item->add("create vHost", "wizards/newsubdomain_step1.php");
$modules->add("apache", "Apache vHost-Management", "admin", $nav_item);

// add email
$nav_item = new navigation_items;
$nav_item->init("eMail", "exim_emailtable/list.php");
$nav_item->add("list mailboxes", "exim_emailtable/list.php?type=mbox");
$nav_item->add("list forwarders", "exim_emailtable/list.php?type=fw");
$nav_item->add("create mailbox", "exim_emailtable/new.php?type=mbox");
$nav_item->add("create forwarder", "exim_emailtable/new.php?type=fw");
$nav_item->add("create domain", "exim_domains/new.php");
$nav_item->add("list domains", "exim_domains/list.php");
$nav_item->add("Show: Mainlog", "showlog.php?logfile=eximmain.log");
$nav_item->add("Show: Rejectlog", "showlog.php?logfile=eximreject.log");
$nav_item->add("Show: Mailqueue", "showlog.php?logfile=eximmailq.log");
$nav_item->add("Exim Report", "includes/exim_report.html");
$modules->add("email", "Exim Mail and Domain management", "admin", $nav_item);

// add ftp
$nav_item = new navigation_items;
$nav_item->init("FTP", "proftpd_user/list.php");
$nav_item->add("list user","proftpd_user/list.php");
$nav_item->add("create user","proftpd_user/new.php");
$nav_item->add("Show: Accesslog","showlog.php?logfile=proftpdaccess.log");
$nav_item->add("Show: Authlog","showlog.php?logfile=proftpdauth.log");
$modules->add("ftp", "ProFTPd User-Management", "admin", $nav_item);

// add munin
$nav_item = new navigation_items;
$nav_item->init("Munin", "munin/tac.html");
$nav_item->add("Overview","munin/");
$modules->add("munin", "Munin Systemmonitoring", "admin", $nav_item);

// ### Other and Misc. Stuff
// add phpmyadmin
$nav_item = new navigation_items;
$nav_item->init("PhpMyAdmin", "/pma/");
$modules->add("phpmyadmin", "Manage MySQL-Databases with your Browser", "other", $nav_item);

// add webmail
$nav_item = new navigation_items;
$nav_item->init("Webmail", "/webmail/");
$modules->add("webmail", "Access your mailbox with your Browser", "other", $nav_item);

// add networktools
$nav_item = new navigation_items;
$nav_item->init("Networktools", "ntools.php");
$modules->add("networktools", "Ping, Traceroute, etc.", "other", $nav_item);

// add jabber-server
$nav_item = new navigation_items;
$nav_item->init("Jabber", "https://users.gauner.org:8040/");
$modules->add("jabber-server", "Administration der Wildfire Jabber-Servers auf gauner.org", "other", $nav_item);

// ### CMS
// add the simple-cms module
$nav_item = new navigation_items;
$nav_item->init("CMS", "cms/cms_frameset.php");
$nav_item->add("Seiten", "cms/cms_frameset.php?subpage=pages/list.php");
$nav_item->add("&Auml;nderungen speichern", "cms/cms_frameset.php?subpage=pages/write.php");
$nav_item->add("Konfiguration", "cms/cms_frameset.php?subpage=config/list.php");
$modules->add("simple-cms", "Verwaltung der Seiten der Homepage", "cms", $nav_item);

?>