<?php
class xchangerates {
	var $xref_ecb = "http://www.ecb.int/stats/eurofxref/eurofxref-daily.xml";
	var $date = "";
	var $rates = array(); // [0] = Currency, [1] = Rate
	var $lines = array();
	
	// fetches the exchange rates
	function init() {
		$fp = fopen($this->xref_ecb, "r");
		while (!feof($fp)) {
	   		$this->lines[] = trim(@fgets($fp, 4096));
		}
		fclose($fp);

		// actually parse the response line-by-line
		for($i = 0; $i < sizeof($this->lines); $i++) {
			if(strtoupper(substr($this->lines[$i], 0, 14)) == strtoupper("<Cube currency")) {
				$tok = strtok($this->lines[$i], "=");
				$tok = strtok("=");
				$cur = substr($tok, 1, strlen($tok)-7);
				$tok = strtok("=");
				$rate = substr($tok, 1, strlen($tok)-4);
				$row[0] = $cur;
				$row[1] = $rate;
				$this->rates[] = $row; 
			} else 	if(substr($this->lines[$i], 0, 10) == "<Cube time") {
				$tok = strtok($this->lines[$i], "=");
				$tok = strtok("=");
				$this->date = substr($tok, 1, strlen($tok)-3);
			} else {
				//echo($this->lines[$i]."<br>\n");
			}
		}
	}
	
	// calculates the current value of the amount of the currency
	function xchange($amount, $currency) {
		$currency = trim($currency);
		$amount = trim($amount);
		if($currency == "EUR") {
			return $amount;
		}
		for($i = 0; $i < sizeof($this->rates); $i++) {
			if($this->rates[$i][0] == $currency) {
				return round($amount / $this->rates[$i][1], 2);
			}
		}
		return -1; // error, not found
	}
	
}
?>
